### Constructor

# FwupdPlugin EfiLoadOption new_esp_for_boot_entry

since: 1.9.3

#### Declaration [src]

    FuEfiLoadOption*
    fu_efi_load_option_new_esp_for_boot_entry (
      guint16 boot_entry,
      GError** error
    )

#### Description [src]

Gets the platform ESP using a UNIX or UDisks path.

Available since: 1.9.3

#### Parameters

`boot_entry`

  Type: `guint16`

  A boot entry number.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuEfiLoadOption`

A `FuEfiLoadOption`, or `NULL` if invalid.

The caller of the function takes ownership of the data, and is responsible for freeing it.